build+ci: Upgrade build scripts, enable coverage and sanitizer flags
Change-Id: I825ea4fdf4f40c4af06b5667af432f1c0eab368d
diff --git a/.jenkins.d/00-deps.sh b/.jenkins.d/00-deps.sh
new file mode 100755
index 0000000..41b93f0
--- /dev/null
+++ b/.jenkins.d/00-deps.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+set -e
+
+JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+source "$JDIR"/util.sh
+
+set -x
+
+if has OSX $NODE_LABELS; then
+ brew update
+ brew upgrade
+ brew install boost pkg-config cryptopp openssl
+ brew cleanup
+fi
+
+if has Ubuntu $NODE_LABELS; then
+ sudo apt-get -qq update
+ sudo apt-get -qq install build-essential pkg-config libboost-all-dev \
+ libcrypto++-dev libsqlite3-dev libssl-dev
+fi